<!-- 安全检查库 -->
<template>
	<view class="risk-record-page">
		<u-sticky>
			<view class="filter-bar">
				<view class="filter filter-date-range" @click="handleShowPicker({title: '时间区间', name: 'dateRange'})">
					<text>{{dateFilterTxt}}</text>
					<u-icon size="14" style="margin-left: 4px;" name="arrow-down"></u-icon>
				</view>
				<uni-search-bar class="search-bar" radius="100" v-model="keyword" @confirm="handleSearch"
					@cancel="handleCancelSearch" @clear="handleCancelSearch" placeholder="搜索" cancel-button="none">
					<uni-icons slot="searchIcon" color="#999999" size="16" type="search" class="search-slot" />
				</uni-search-bar>
				<view class="filter filter-status" @click="handleShowPicker({title: '状态', name: 'status'})">
					<text>{{statusFilterTxt}}</text>
					<u-icon size="14" style="margin-left: 4px;" name="arrow-down"></u-icon>
				</view>
			</view>
		</u-sticky>
		<view class="main">
			<view class="content-list">
				<common-card :dataSource="item" v-for="item in lists" @click="showDetail(item.ID)">
					<view class="content">
						<!-- <view class="field">
							<text class="left">会议编号：</text>
							<text class="value">{{item.Nav_Meeting.CODE}}</text>
						</view> -->
						<view class="field">
							<text class="left">会议时间：</text>
							<text class="value">{{item.Nav_Meeting.BEGIN_TIME}}</text>
						</view>
						<view class="field">
							<text class="left">会议地点：</text>
							<text class="value">{{item.Nav_Meeting.ADDRESS}}</text>
						</view>
						<view class="field">
							<text class="left">发起部门：</text>
							<text class="value">{{item.Nav_Meeting.Nav_Department.NAME}}</text>
						</view>
						<!-- <view class="field">
							<text class="left">会议记录：</text>
							<text class="value">{{item.MEETINGRECORD}}</text>
						</view> -->
						<view class="field">
							<text class="left">纪要状态：</text>
							<text class="value">{{item.STATUSSHOW}}</text>
						</view>
					</view>
				</common-card>
			</view>
		</view>
		<u-picker :show="comPickerInfo.showPicker" :columns="comPickerInfo.columns" @confirm="onConfirmPicker"
			@cancel="closePicker"></u-picker>
	</view>
</template>

<script>
	import {
		initFilter,
		extendRule,
		extendInclude
	} from '../../../../utils/common'

	import {
		OrderPagedMeetingMinutes
	} from '../../../../services/apply/subPages/SCMT/meeting'

	import {
		listTimeType,
		listPFStandardStatus,
		listPFStandardStatusVal
	} from '../../../../utils/enums'
	import UniSearchBar from '../../../../uni_modules/uni-search-bar/components/uni-search-bar/uni-search-bar.vue'


	export default {
		data() {
			return {
				// lists: [{
				// 	NOTICE_TITLE:'2345',
				// 	TASK_STARTDT:'2023-07-25 00:00:00',
				// 	TASK_ENDDT:'2023-07-25 23:00:00'
				// 	NOTICE_STATUS:'待完成'
				// }],
				Type: '', //判断 安委会 或者普通会议
				pageIndex: 0,
				lists: [],
				currentTab: 0,
				text: '',
				total: '',

				keyword: '',
				searchStartTime: '',
				filterStatus: null,
				dateFilterTxt: '时间区间',
				statusFilterTxt: '状态筛选',
				comPickerInfo: {
					showPicker: false,
					columns: [],
					title: '',
					name: ''
				}
			}
		},
		onLoad(option) {
			this.Type = option.Type
			this.loadData()
		},
		methods: {
			// handleTab(t) {
			// 	this.currentTab = t
			// },
			handleSearch() {
				this.pageIndex = 0
				this.loadData(false)
			},
			loadData(paginate) {
				this.pageIndex++
				const orgId = uni.getStorageSync('orgId')
				let json = initFilter(orgId, "", "CREATE_TIME", 1, this.pageIndex);
				json.MenuParameter = this.Type
				// extendRule(json, 'STATECHECK', 2, 0);
				extendInclude(json, 'Nav_Meeting')
				extendInclude(json, 'Nav_Meeting.Nav_Department')
				extendInclude(json, 'Nav_Meeting.Nav_UserHost')
				extendInclude(json, 'Nav_Meeting.Nav_UserRecorder')
				if (this.keyword) {
					extendRule(json, 'Nav_Meeting.CODE', 9, this.keyword);
				}

				if (this.searchStartTime && this.searchStartTime.length > 0) {
					extendRule(json, 'Nav_Meeting.BEGIN_TIME', 6, this.searchStartTime)
				}
				if (this.filterStatus !== null) {
					extendRule(json, 'STATUS', 1, this.filterStatus)
				}

				// json.IgnoreDataRule = true

				OrderPagedMeetingMinutes(json).then(res => {
					this.total = res.TotalCount
					const newRes = (res.Data || []).map(i => {
						return {
							...i,
							// title: i.Nav_Meeting.CODE,
							title: i.Nav_Meeting.THEME,
						}
					})
					if (paginate) {
						this.lists = this.lists.concat(newRes)
					} else {
						this.lists = newRes
					}
				})
			},
			handleShowPicker(p) {
				let column = []
				if (p.name === 'dateRange') {
					column = listTimeType
				}
				if (p.name === 'status') {
					column = listPFStandardStatus
				}

				this.comPickerInfo = {
					showPicker: true,
					title: p.title,
					name: p.name,
					columns: [column]
				}
			},
			onConfirmPicker(e) {
				if (this.comPickerInfo.name === 'dateRange') {
					let currentDate = new Date();
					if (e.indexs[0] === 2) {
						currentDate.setDate(currentDate.getDate() - 3);
					} else if (e.indexs[0] === 3) {
						currentDate.setDate(currentDate.getDate() - 7);
					} else if (e.indexs[0] === 4) {
						currentDate.setMonth(currentDate.getMonth() - 1);
					}
					if (e.indexs[0] === 0) {
						this.searchStartTime = ''
						this.dateFilterTxt = '时间区间'
					} else {
						this.dateFilterTxt = e.value[0]
						this.searchStartTime = uni.$u.timeFormat(currentDate, 'yyyy-mm-dd 00:00:00');
					}
				}
				if (this.comPickerInfo.name === 'status') {

					if (e.indexs[0] === 0) {
						// 全部
						this.filterStatus = null
						this.statusFilterTxt = '状态筛选'
					} else {
						this.statusFilterTxt = e.value[0]
						this.filterStatus = listPFStandardStatusVal[e.indexs[0]]
					}
				}
				this.closePicker()
			},
			closePicker() {
				this.comPickerInfo = {
					showPicker: false,
					columns: [],
					title: '',
					name: ''
				}
			},
			showDetail(id) {
				uni.navigateTo({
					url: 'meetingMinutesCheck?ID=' + id
				})
			}
		},
		computed: {

		},
		onReachBottom() {
			if (this.total > 10 * this.pageIndex)
				this.loadData(true)
		},
		watch: {
			keyword(n, o) {
				this.pageIndex = 0
				this.keyword = n
				this.loadData()
			},
			searchStartTime(n, o) {
				this.pageIndex = 0
				this.searchStartTime = n
				this.loadData()
			},
			filterStatus(n, o) {
				this.pageIndex = 0
				this.filterStatus = n
				this.loadData()
			}
		}
	}
</script>


<style>
	@import url("../../../../style/css/listTemplate.css");
</style>